Command line options
Prev | Chapter 3. Usage | Next

## Command line options

Table 3.1. Command line Options

Short option | Long option | Function
--- | --- | ---
-c dir_name | --config=directory_name | Use an alternate configuration directory. Default configuration directory is `~/.geany/` and there resides `geany.conf` and other configuration files.
-d | --debug | Run Geany in debug mode, which means being verbose and printing lots of information.
-i | --new-instance | Do not open files in a running instance, force opening a new instance. Only available if Geany was compiled with support for Sockets.
-l | --line | Set initial line number for the first opened file.
-m | --no-msgwin | Do not show the message window. Use this option if you do not need compiler messages or VTE support.
-n | --no-ctags | Do not load auto completion and call tip data. Use this option if you do not want to use them.
-s | --no-session | Don't load the previous session's files.
-t | --no-terminal | Do not load terminal support. Use this option if you do not want to load the virtual terminal emulator widget at startup. If you do not have `libvte.so.4` installed, then terminal-support is automatically disabled. Only available if Geany was compiled with support for VTE.
| --vte-lib | Specify explicitly the path including filename or only the filename to the VTE library, e.g. `/usr/lib/libvte.so` or `libvte.so`. This option is only needed when the autodetection does not work. Only available if Geany was compiled with support for VTE.
-v | --version | Show version information and exit.
-? | --help | Show help information and exit.
| [files ...] | Open all given files at startup. This option causes Geany to ignore loading stored files from the last session (if enabled).

Geany supports all generic GTK options, a list is available on the help screen.

Prev | Up | Next
Chapter 3. Usage | Home | General